> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sezzle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Settlement Details Request

> Get details on a specific settlement payout.

<Danger>
  You are viewing Version 1 of the Sezzle API. Check out the [current version](/docs/api/intro)!
</Danger>

The settlement details response contains two sections. The first two rows are a summary of the payout. The remaining rows contain the individual line items that contributed to the payout.

### Summary Column Definitions

| Column Header                                   | Description                                                                                                                         |
| ----------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------- |
| `Total order amount`                            | The sum of all orders on this payout.                                                                                               |
| `Total refund amount`                           | The sum of all refunds on this payout.                                                                                              |
| `Total fee amount`                              | The sum of all fees on this payout.                                                                                                 |
| `Total returned fee amount`                     | The sum of all returned fees on this payout.                                                                                        |
| `Total chargeback amount`                       | The sum of all chargebacks on this payout.                                                                                          |
| `Total chargeback reversal amount`              | The sum of all chargeback reversals on this payout.                                                                                 |
| `Total interest transfer amount`                | The sum of all interest transfers on this payout. If you are not participating in the interest program, this field will be omitted. |
| `Total correction amount`                       | The sum of all corrections on this payout.                                                                                          |
| `Total referral revenue transfer amount`        | The sum of all referral revenue transfers on this payout.                                                                           |
| `Total bank account withdrawal amount`          | The sum of all bank account withdrawals.                                                                                            |
| `Total bank account withdrawal reversal amount` | The sum of all bank account withdrawal reversals, which reflect a bank account withdrawal that has failed.                          |
| `Forex fees`                                    | The cost of foreign exchange fees associated with this payout.                                                                      |
| `Net settlement amount`                         | Net amount of settlement.                                                                                                           |
| `Payment uuid`                                  | The UUID for this payout.                                                                                                           |
| `Settlement currency`                           | The currency in which this payout was sent.                                                                                         |
| `Payout date`                                   | The date this payout was sent.                                                                                                      |
| `Payout status`                                 | The current status of this payout.                                                                                                  |

### Line Item Column Definitions

| Column Header           | Description                                                                                           |
| ----------------------- | ----------------------------------------------------------------------------------------------------- |
| `Type`                  | Describes the type of event (Order, Fee, Refund, etc.).                                               |
| `Order capture date`    | The date at which the order was captured. This field is empty if the order has not yet been captured. |
| `Order created at`      | The date at which the order was created.                                                              |
| `Event date`            | The date at which the event took place.                                                               |
| `Order uuid`            | The uuid associated with the order.                                                                   |
| `Customer order id`     | The customer's order number.                                                                          |
| `External reference id` | The external reference ID submitted with the order.                                                   |
| `Amount`                | The amount of the event.                                                                              |
| `Posting currency`      | The customer's currency code.                                                                         |
| `Type code`             | A numeric code that corresponds with the Type field.                                                  |
| `Chargeback code`       | A numeric code that corresponds with the type of chargeback submitted.                                |
| `Sezzle order ID`       | The internal ID Sezzle has assigned to this order.                                                    |
|                         |                                                                                                       |

### Line Item Event Type Definitions

| Type                               | Description                                                                   | Type Code |
| ---------------------------------- | ----------------------------------------------------------------------------- | --------- |
| `ORDER`                            | A completed order with Sezzle.                                                | 001       |
| `REFUND`                           | An order that has been refunded.                                              | 002       |
| `FEE`                              | The fee assessed by Sezzle for a given order.                                 | 003       |
| `RETURNED_FEE`                     | A fee refunded by Sezzle.                                                     | 004       |
| `CHARGEBACK`                       | A chargeback resulting from a disputed order.                                 | 005       |
| `CHARGEBACK_REVERSAL`              | A reversal of a chargeback resulting from a disputed order.                   | 006       |
| `CORRECTION`                       | A manual correction to a payout.                                              | 007       |
| `INTEREST_TRANSFER`                | A transfer from the Sezzle interest account.                                  | 008       |
| `REFERRAL_REVENUE_TRANSFER`        | A payment earned from Sezzle's merchant referral program.                     | 009       |
| `BANK_ACCOUNT_WITHDRAWAL`          | A withdrawal of funds from your bank to cover a negative balance with Sezzle. | 010       |
| `BANK_ACCOUNT_WITHDRAWAL_REVERSAL` | A failed BANK\_ACCOUNT\_WITHDRAWAL.                                           | 011       |
| `CAPTURE`                          | An order that has been captured.                                              | 012       |
| `MONTHLY_FEE`                      | Monthly Minimum Processing Fee (negative amount).                             | 013       |
| `MONTHLY_FEE_REFUND`               | Refund of a previously charged Monthly Minimum Processing Fee.                | 014       |


## OpenAPI

````yaml get /v1/settlements/details/{payout_uuid}
openapi: 3.1.0
info:
  title: Sezzle API v2
  description: >-
    This Sezzle API is for merchants who want to accept Sezzle as a payment
    option
  termsOfService: https://legal.sezzle.com
  version: 2.0.0
  x-logo:
    url: https://media.sezzle.com/branding/2.0/png/Logo_WhiteWordmark_500x126.png
    backgroundColor: '#392558'
servers:
  - url: https://sandbox.gateway.sezzle.com
    description: development server, usa, ca
  - url: https://gateway.sezzle.com
    description: production server, usa, ca
security:
  - Bearer: []
externalDocs:
  description: Sezzle API guides and tutorials
  url: https://docs.sezzle.com/sezzle-integration
paths:
  /v1/settlements/details/{payout_uuid}:
    get:
      tags:
        - v1
        - Reports
      summary: Settlement Details Request
      description: Get details on a specific settlement payout.
      operationId: get-settlement-details-v1
      parameters:
        - name: payout_uuid
          in: path
          description: The Payout UUID to get (from Settlement Summaries response)
          required: true
          schema:
            type: string
        - name: metadata
          in: query
          description: >-
            An optional comma-separated list of metadata keys. To add a metadata
            key as a column to the report line items, include the key in this
            list. When applicable, the value of the metadata key will be added
            to the line item. If no line items contain the metadata key, the key
            will not be added as a column.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful Operation
          content:
            text/csv:
              schema:
                type: string
              example: >
                total_order_amount,total_refund_amount,total_fee_amount,total_returned_fee_amount,total_chargeback_amount,total_chargeback_reversal_amount,total_interest_transfer_amount,total_correction_amount,total_referral_revenue_transfer_amount,total_bank_account_withdrawals,total_bank_account_withdrawal_reversals,forex_fees,net_settlement_amount,payment_uuid,settlement_currency,payout_date,payout_status
                703.20,-5.00,-43.80,.30,0.00,0.00,-4.30,1.71,10.00,100.00,-100.00,0.00,693.61,a5c13qt1-4126-41d3-2fq8-9ca431f51431,USD,2019-11-02
                00:05:00 +0000 UTC,Complete
                type,order_capture_date,order_created_at,event_date,order_uuid,customer_order_id,external_reference_id,order_amount,amount,posting_currency,type_code,chargeback_code,sezzle_order_id
                ORDER,2019-11-01T19:09:50Z,2019-11-01T19:09:50Z,2019-10-22T19:09:50Z,bm99f-31vu1-kg00e-rae1g,1,12345,500.00,,USD,001,,66d78e86-fd96-4266-9217-b769c102a0a0
                ORDER,2019-11-01T19:09:50Z,2019-11-01T19:09:50Z,2019-10-22T19:09:50Z,va13d-474s9-3000e-nungg,13,12346,200.00,,USD,001,,5e0d4886-8c3d-4d4e-901a-2046a06c1e0f
                ORDER,2019-11-01T20:00:01Z,2019-11-01T00:00:01Z,2019-11-01T00:00:01Z,as41g-4v4s9-3000e-nunh0,1,12347,1.40,,USD,001,,a2c1a142-96ad-48c9-93d2-1acaaee9f073
                ORDER,2019-11-01T20:00:01Z,2019-11-01T20:00:01Z,2019-11-01T20:00:01Z,as62l-5ptqs-9g00e-pvk10,2,12348,1.80,,USD,001,,3f62dcba-f5a4-41be-ad8f-53e938b5f310
                CAPTURE,2019-11-01T20:00:01Z,2019-11-01T20:00:01Z,2019-11-01T20:00:01Z,as62l-5ptqs-9g00e-pvk10,2,12348,,1.80,USD,001,,3f62dcba-f5a4-41be-ad8f-53e938b5f310
                FEE,2019-11-01T19:09:50Z,2019-11-01T19:09:50Z,2019-11-01T19:09:50Z,bm99f-31vu1-kg00e-rae1g,1,12345,,-30.00,USD,003,,66d78e86-fd96-4266-9217-b769c102a0a0
                FEE,2019-11-01T19:09:50Z,2019-11-01T19:09:50Z,2019-11-01T19:09:50Z,va13d-474s9-3000e-nungg,13,12346,,-12.00,USD,003,,5e0d4886-8c3d-4d4e-901a-2046a06c1e0f
                FEE,2019-11-01T20:00:01Z,2019-11-01T00:00:01Z,2019-11-01T20:00:01Z,as41g-4v4s9-3000e-nunh0,1,12347,,-1.20,USD,003,,a2c1a142-96ad-48c9-93d2-1acaaee9f073
                FEE,2019-11-01T20:00:01Z,2019-11-01T20:00:01Z,2019-11-01T20:00:01Z,as62l-5ptqs-9g00e-pvk10,2,12348,,-0.60,USD,003,,3f62dcba-f5a4-41be-ad8f-53e938b5f310
                REFUND,2019-10-22T19:09:50Z,2019-10-22T19:09:50Z,2019-11-01T19:09:50Z,bm5rm-vg2js-1tsky-c2dsky,8,12344,,5.00,USD,002,,e4194956-de70-4958-9da4-6c05f276fdab
                RETURNED_FEE,2019-10-22T19:09:50Z,2019-10-22T19:09:50Z,2019-11-01T19:09:50Z,bm5rm-vg2js-1tsky-c2dsky,7,12344,,.30,USD,004,,e4194956-de70-4958-9da4-6c05f276fdab
                CORRECTION,,,2019-11-01T17:00:01Z,,,,,-1.29,,007,
                CORRECTION,,,2019-11-01T17:00:01Z,,,,,3.00,,007,
                INTEREST_TRANSFER,,,2019-11-01T18:00:01Z,,,,,-4.30,,008,
                REFERRAL_REVENUE_TRANSFER,,,2019-11-01T15:00:01Z,,,,,10.00,,009,
                BANK_ACCOUNT_WITHDRAWAL,,,2019-11-02T00:05:00Z,,,,,100.00,,010,
                BANK_ACCOUNT_WITHDRAWAL_REVERSAL,,,2019-11-02T00:05:00Z,,,,,-100.00,,011,
        '400':
          $ref: '#/components/responses/BadRequestV1'
          example:
            status: 400
            id: bad_request
            message: bad request
        '401':
          $ref: '#/components/responses/UnauthorizedV1'
          example:
            status: 401
            id: Unauthorized
            message: authorization not accepted
        '404':
          $ref: '#/components/responses/NotFoundV1'
          example:
            status: 404
            id: invalid
            message: not found
        '422':
          $ref: '#/components/responses/UnprocessableV1'
          example:
            status: 422
            id: invalid
            message: Unprocessable entity
components:
  responses:
    BadRequestV1:
      description: Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorV1'
          example:
            status: 400
            id: bad_request
            message: bad request
    UnauthorizedV1:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorV1'
          example:
            status: 401
            id: unauthorized
            message: authorization not accepted
    NotFoundV1:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorV1'
          example:
            status: 404
            id: record_not_found
            message: not found
    UnprocessableV1:
      description: Unable to process the request entity
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorV1'
          example:
            status: 422
            id: invalid
            message: Unprocessable entity
  schemas:
    ErrorV1:
      type: object
      properties:
        status:
          type: number
          description: Matches the HTTP Status code of the response
        id:
          type: string
          description: >-
            A programmatic identifier for the error. These rarely (if at all)
            change.
        message:
          type: string
          description: >-
            A human-friendly string. These may change, and are intended to
            assist in debugging rather than program logic.
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header
      description: >-
        The authentication token generated from providing API Keys to Sezzle
        Gateway

````